Onboarding

Get Onboarding Overview

Lists onboarding status, current step and progress for every employee-seat role in the org.

GEThttps://api.toku.com/hris/get-onboarding-overview

Required scope: people:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-onboarding-overview' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "roleInOrgId": "string",
    "countryCode": "string",
    "hasOnboardingRequest": true,
    "requiresVerificationCase": true,
    "overallStatus": "IN_PROGRESS",
    "statusReason": "string",
    "statusEffectiveAt": "string",
    "submissionCompletedStepCount": 0,
    "submissionTotalStepCount": 0,
    "verificationCompletedCount": 0,
    "verificationTotalCount": 0,
    "outstandingChecks": [
      "string"
    ],
    "status": "NOT_STARTED",
    "backgroundCheckStatus": "NOT_REQUIRED",
    "currentStepId": "string",
    "currentStepLabel": "string",
    "completedStepCount": 0,
    "totalStepCount": 0,
    "onboardingStartedAt": "string",
    "onboardingCompletedAt": "string",
    "lastActivityAt": "string",
    "employmentType": "string",
    "startDate": "string",
    "recordCreatedAt": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
roleInOrgIdstringrequired
countryCodestringrequired
hasOnboardingRequestbooleanrequired
requiresVerificationCasebooleanrequired
overallStatusstringrequired

Available options: IN_PROGRESS, AWAITING_VERIFICATION, COMPLETED, ON_HOLD

statusReasonstring | nullrequired
statusEffectiveAtstring | nullrequired
submissionCompletedStepCountnumberrequired
submissionTotalStepCountnumberrequired
verificationCompletedCountnumberrequired
verificationTotalCountnumberrequired
outstandingChecksstring[]required
statusstringrequired

Available options: NOT_STARTED, IN_PROGRESS, SUBMITTED, COMPLETED

backgroundCheckStatusstringrequired

Available options: NOT_REQUIRED, PENDING, CLEARED, FAILED

currentStepIdstring | nullrequired
currentStepLabelstring | nullrequired
completedStepCountnumberrequired
totalStepCountnumberrequired
onboardingStartedAtstring | nullrequired
onboardingCompletedAtstring | nullrequired
lastActivityAtstring | nullrequired
employmentTypestring | nullrequired
startDatestring | nullrequired
recordCreatedAtstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits